## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global giturl  https://github.com/mirage/ocaml-crunch

Name:           ocaml-crunch
Version:        4.0.0
Release:        %autorelease
Summary:        Convert a filesystem into a static OCaml module

License:        ISC
URL:            http://mirage.github.io/ocaml-crunch/
VCS:            git:%{giturl}.git
Source:         %{giturl}/releases/download/v%{version}/crunch-%{version}.tbz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-cmdliner-devel >= 1.1
BuildRequires:  ocaml-dune >= 2.5
BuildRequires:  ocaml-ptime-devel

%description
Crunch takes a directory of files and compiles them into a standalone
OCaml module which serves the contents directly from memory.  This can
be convenient for libraries that need a few embedded files (such as a
web server) and do not want to deal with all the trouble of file
configuration.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-ptime-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n crunch-%{version}

%build
%dune_build

%install
%dune_install

# Unable to test due to missing dependencies:
# https://github.com/mirage/mirage-kv
# https://github.com/mirage/mirage-kv-mem
#
#%%check
#%%dune_check

%files -f .ofiles
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sat Jul 12 2025 Jerry James <loganjerry@gmail.com> - 4.0.0-2
- Rebuild to fix OCaml dependencies

* Mon Feb 17 2025 Jerry James <loganjerry@gmail.com> - 4.0.0-1
- Version 4.0.0

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 09 2025 Jerry James <loganjerry@gmail.com> - 3.3.1-12
- OCaml 5.3.0 rebuild for Fedora 42

* Thu Sep 12 2024 Jerry James <loganjerry@gmail.com> - 3.3.1-11
- Rebuild for ocaml-ptime 1.2.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 3.3.1-9
- Fix the VCS field

* Wed Jun 19 2024 Richard W.M. Jones <rjones@redhat.com> - 3.3.1-8
- OCaml 5.2.0 ppc64le fix

* Wed May 29 2024 Richard W.M. Jones <rjones@redhat.com> - 3.3.1-7
- OCaml 5.2.0 for Fedora 41

* Thu May 23 2024 Jerry James <loganjerry@gmail.com> - 3.3.1-6
- Add VCS field

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Richard W.M. Jones <rjones@redhat.com> - 3.3.1-3
- OCaml 5.1.1 + s390x code gen fix for Fedora 40

* Tue Dec 12 2023 Richard W.M. Jones <rjones@redhat.com> - 3.3.1-2
- OCaml 5.1.1 rebuild for Fedora 40

* Wed Nov 22 2023 Jerry James <loganjerry@gmail.com> - 3.3.1-1
- Initial RPM (rhbz#2242904)
## END: Generated by rpmautospec
